<?xml version="1.0" encoding="windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >

  <xsl:param name="alxdcontactkey"/>
  <xsl:param name="alxdusername"/>

  <xsl:variable name="_defvalue">-</xsl:variable>
  
  <xsl:key name="contact" match="AlxdRow" use="@id" />

    <xsl:template match="AlxdContactNavigator">

      <xsl:for-each select="key('contact', $alxdcontactkey)">
        <xsl:variable name="_physicalDeliveryOfficeName" select="physicalDeliveryOfficeName" />
        <xsl:variable name="_telephoneNumber" select="telephoneNumber" />
        <xsl:variable name="_otherTelephone" select="otherTelephone" />
        <xsl:variable name="_mobile" select="mobile" />
        <xsl:variable name="_mail" select="mail" />
        <xsl:variable name="_title" select="title" />
        <xsl:variable name="_sAMAccountName" select="sAMAccountName" />

        <xsl:variable name="_f1" select="substring-before(name,' ')" />
        <xsl:variable name="_f2" select="substring-before(substring-after(name, ' '),' ')" />
        <xsl:variable name="_f3" select="substring-after(substring-after(name, ' '),' ')" />

        <table border="0" width="100%" cellpadding='0' cellspacing='1'>
          <tr valign="top" height="190px">            
            <td>
              <p class="alxdcontactnavigatorContactHeader">
                <a href="mailto:{$_mail}">
                  <xsl:value-of select="$_f1"/>
                  <br/>
                  <xsl:value-of select="$_f2"/>
                  <br/>
                  <xsl:value-of select="$_f3"/>
                </a>
              </p>

                          
              <p class="alxdcontactnavigatorContactTitle">
                <xsl:value-of select="department"/>
                <br/>    
                <xsl:value-of select="$_title"/>
              </p>
            </td>
            <td>
              <a href="{concat('\\tngp.local\public\\',name,'.jpg')}" target="_blank">
                <img src="{concat('\\tngp.local\public\\',name,'.jpg')}" width="150px" height="120px" border="0" alt="PHOTO"/>
              </a>
            </td>
          </tr>

          <tr>
            <td class="alxdcontactnavigatorContactProp">
               .
            </td>
            <td class="alxdcontactnavigatorContactPropValue">
              <xsl:choose>
                <xsl:when test="$_telephoneNumber!=''">
                  <xsl:value-of select="$_telephoneNumber"/>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:value-of select="$_defvalue"/>
                </xsl:otherwise>
              </xsl:choose>
            </td>
          </tr>

          <tr>
            <td class="alxdcontactnavigatorContactProp">
               .
            </td>
            <td class="alxdcontactnavigatorContactPropValue">
              <xsl:choose>
                <xsl:when test="$_otherTelephone!=''">
                  <xsl:value-of select="$_otherTelephone"/>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:value-of select="$_defvalue"/>
                </xsl:otherwise>
              </xsl:choose>
            </td>
          </tr>

          <tr>
            <td class="alxdcontactnavigatorContactProp">
              
            </td>
            <td class="alxdcontactnavigatorContactPropValue">
              <xsl:choose>
                <xsl:when test="$_physicalDeliveryOfficeName!=''">
                  <xsl:value-of select="substring-before($_physicalDeliveryOfficeName,'-')"/>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:value-of select="$_defvalue"/>
                </xsl:otherwise>
              </xsl:choose>
            </td>
          </tr>
                    
          <tr>
            <td class="alxdcontactnavigatorContactProp">
              e-mail:
            </td>
            <td class="alxdcontactnavigatorContactPropValue">
              <xsl:choose>
                <xsl:when test="$_mail!=''">
                  <a href="mailto:{$_mail}">
                    <xsl:value-of select="$_mail"/>
                  </a>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:value-of select="$_defvalue"/>
                </xsl:otherwise>
              </xsl:choose>
            </td>
          </tr>

        </table>
      </xsl:for-each>
      <!--
    <p>
      <xsl:value-of select="$alxdcontactkey"/>
      <xsl:apply-templates select="AlxdRow"/>
    </p>
    -->

    </xsl:template>


    <!--
  <xsl:template match="AlxdRow">
    <p>
      <xsl:value-of select = "name"/>
    </p>
  </xsl:template>
    -->  
</xsl:stylesheet>