<?xml version="1.0" encoding="windows-1251"?>                 
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxsl="urn:schemas-microsoft-com:xslt">

<!--Double-level grouping-->

<!--

  param0...paramN = key fields, if need

-->

  <xsl:param name="param0"/>
  <xsl:param name="param1"/>
  <xsl:param name="param2"/>

  <xsl:key name="level1" match="AlxdRow" use="department"/>

<!--

  attribute text = text of node
  attribute navigateurl = navigate URL with callback function for leaf on tree (see below)

-->

  <xsl:template match="AlxdContactNavigator">
    <nodes text="">

      <xsl:apply-templates select="AlxdRows/AlxdRow[generate-id(.) = generate-id(key('level1', department))]" mode="mode1st">
        <xsl:sort select="department"/>
      </xsl:apply-templates>

    </nodes>
  </xsl:template>


  <xsl:template match="AlxdRow" mode="mode1st">
    <department text="{department}">

      <xsl:for-each select="key('level1', department)">
        <xsl:sort select="name"/>

        <xsl:variable name="_imageurl" select="'http://ss20/AlxdContactNavigator/user.jpg'"/>
        <xsl:variable name="_imagetooltip" select="''"/>

        <name text="{name}" imageurl="{$_imageurl}" imagetooltip="{$_imagetooltip}" navigateurl="{concat('javascript:InvokeMethod(',@id,');')}" tooltip="{title}" />
      </xsl:for-each>

    </department>
  </xsl:template>

</xsl:stylesheet>

